<?php

  # Main Page documentation
/**
 * @mainpage Wordless, don't waste words on wordpress!
 *
 * @section intro_sec Introduction
 *
 * Welcome to the developer documentation for Wordless. It is a WordPress
 * plugin which makes you create themes using the power of
 * HAML, SASS/SCSS, COMPASS, and CoffeScript, drastically speeding up your
 * development time!
 *
 * Please refer to the @l{https://github.com/welaika/wordless#readme,online
 * documentation} for more details and instructions.
 *
 * @section groups Defined groups in Wordless documentation
 *
 * Some groups are defined to collect informations about specific use classes
 * or functions:
 * - @ref helpers "Helpers Group": the group of all existent Wordless helpers.
 * - @ref helperclass "Helpers Classes"
 * - @ref helperfunc "Helpers Functions"
 *
 * @section self_cmds Defined command for Wordless documentation
 *
 * You can use some Doxygen commands create only for wordless:
 * - @b \@doubt: This section, which appears also in "Related Pages" is used to
 *   express doubt about code implementation.
 * - <b>\@l{url,text}</b>: Usewful command to create a link to an external source.
 *   The first parameter is the url of the link, the second is the displayed ù
 *   text.
 *
 * @section doxy_doc Doxygen documentation
 *
 * To know how to use Doxygen Documentation system please check the
 * @l{http://www.stack.nl/~dimitri/doxygen/manual.html,Doxygen Manual}.
 *
 * To search through all the commands available in Doxygen, please see the
 * @l{http://www.stack.nl/~dimitri/doxygen/commands.html,Doxygen Command List}.
 *
 * @section see_more More about Wordless
 *
 * @see GitHub project page https://github.com/welaika/wordless
 * @see Bugs at https://github.com/welaika/wordless/issues
 */
